Name:		ueagle-atm4-firmware
Version:	1.0
Release:	4%{?dist}
Summary:	Firmwares for USB ADSL Modems based on Eagle IV Chipset
Group:		System Environment/Kernel
License:	Redistributable, no modification permitted
URL:		https://gna.org/projects/ueagleatm/
Source0:	http://download.gna.org/ueagleatm/ikanos/ueagle4-data-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

Requires:	udev

%description
Firmwares for USB ADSL Modems based on Eagle IV Chipset

%prep
%setup -q -n ueagle4-data-%{version}
sed -i "s|\r||g" Ikanos_license.txt

%build


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT/lib/firmware/ueagle-atm
cp -p CMV4p.bin.v2 DSP4p.bin eagleIV.fw $RPM_BUILD_ROOT/lib/firmware/ueagle-atm

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Ikanos_license.txt
/lib/firmware/ueagle-atm

%changelog
* Sun Mar 07 2010 Hicham HAOUARI <hicham.haouari@gmail.com> 1.0-4
- Fixed Source0 and ownership of /usr/lib/ueagle-atm ( https://bugzilla.redhat.com/show_bug.cgi?id=516312#c10 )

* Mon Nov 09 2009 Hicham HAOUARI <hicham.haouari@gmail.com> 1.0-3
- Changed the name to ueagle-atm4-firmware based on spot's suggestion (https://bugzilla.redhat.com/show_bug.cgi?id=516312#c6 )

* Sun Nov 08 2009 Hicham HAOUARI <hicham.haouari@gmail.com> 1.0-2
- Added udev to Requires
- Owned directory /lib/firmware/ueagle-atm
- Fixed description

* Sat Aug 08 2009 Hicham HAOUARI <hicham.haouari@gmail.com> 1.0-1
- Initial package for Fedora.
